# Class ZooInspectorManagerImpl.NodeWatcher

java.lang.Object
org.apache.zookeeper.inspector.manager.ZooInspectorManagerImpl.NodeWatcher

All Implemented Interfaces:
  `Watcher`

Enclosing class:
  `ZooInspectorManagerImpl`

public class ZooInspectorManagerImpl.NodeWatcher extends Object implements Watcher
A Watcher which will re-add itself every time an event is fired

## Nested Class Summary

### Nested classes/interfaces inherited from interface Watcher

`Watcher.Event, Watcher.WatcherType`

## Constructor Summary

Constructors
Constructor
Description
`NodeWatcher(String nodePath, NodeListener nodeListener, ZooKeeper zookeeper)`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(WatchedEvent event)`
`void`
`stop()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NodeWatcher

public NodeWatcher(String nodePath, NodeListener nodeListener, ZooKeeper zookeeper) throws KeeperException, InterruptedException

Parameters:
  `nodePath` - - the path to the node to watch
  `nodeListener` - the `NodeListener` for this node
  `zookeeper` - - a `ZooKeeper` to use to access zookeeper
Throws:
  `InterruptedException`
  `KeeperException`

## Method Details

### process

public void process(WatchedEvent event)

Specified by:
  `process` in interface `Watcher`

### stop

public void stop()